Bug 112555 - Anaconda fails to install RPMs if SRC ISO is found
Anaconda fails to install RPMs if SRC ISO is found
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
s390 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
: 112881 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-22 15:38 EST by William P Scully
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 14:59:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William P Scully 2003-12-22 15:38:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; 
T312461; Q312461; GIS IE6.0 Build 20031007; .NET CLR 1.0.3705; .NET 
CLR 1.1.4322)

Description of problem:
During FTP, NFS, or HTTP installation, if the SRC ISO images are 
found at the same place as the four regular ISO images, then Anaconda 
fails to install any RPMs.  Rather it reports (in a pop-up 
message), "The package hwdata-0.98-1 cannot be opened. This is due to 
a missing file or perhaps a corrupt package.  If you are installing 
from CD media this usually means the CD media is corrupt, or the CD 
drive is unable to read the media.  Press <return> to try again."  
Putting the SRC ISOs elsewhere allows Anaconda to conduct an 
installation normally.  I deduced the circumvention because I found 
at /tmp/isoimage the second SRC ISO mounted, rather than the second 
regular ISO (on which is found "hwdata").                  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Load all seven ISOs to the same directory for NFS, HTTP, or FTP
2. Run regular installation
3. Voila!  Failure!
    

Actual Results:  See message-text in 'Description', above.

Expected Results:  Well, I'd rather have the product actually install 
then fail, I guess!  ;-)

Additional info:

This occurs with both the S/390 and zSeries version of RH EL 3.0 AS.  
While not a "severe" bug, it might be hard to sell this version of RH 
if a customer cannot install it!  Of course, that's just my 
opinion....
Comment 1 Jeremy Katz 2004-01-04 16:15:55 EST
For now, just don't do that.  Fixing this probably can't be done
within the constraints of RHEL3.  
Comment 2 Jeremy Katz 2004-01-05 12:25:18 EST
*** Bug 112881 has been marked as a duplicate of this bug. ***
Comment 3 Jennifer Davis 2004-07-06 17:45:04 EDT
I get this same error when attempting to install ES 3.0 on vmware 4.0 
directly from the cd.  I am setting up a vmware so that the 
developers can mess up the install and then have a clean slate to 
work on again.  
The exact error is:

"The package hwdata-0.98-1 cannot be opened.  This is due to a 
missing file or perhaps a corrupt package.  If you are installing 
from CD media this usually means the CD media is corrupt, or the CD 
drive is unable to read the media."

I've tried 3 different systems, reinstalling vmware each time, and 
this is official redhat media.  ISBN 1-58569-376-6
Comment 4 Greg Morgan 2004-07-20 02:23:10 EDT
I just tried these steps in Fedora Core 3 Test 1:
Steps to Reproduce:
1. Load all seven ISOs to the same directory for NFS, HTTP, or FTP
2. Run regular installation  (I used an NFS install)
3. Install completed.  (Bug update is coming from installed system.)

I could not reproduce this bug.  However, unlike William and Jennifer
I am using an i386 platform verses an S390 and vmware install.
Comment 5 Jeremy Katz 2004-11-30 23:41:32 EST
Put something into RHEL4 that should help some, but I still recommend against
doing it.
Comment 6 Rudolf Kneidinger 2005-01-03 09:26:41 EST
I have the same situation as Jennifer and got _really mad_ !!
After several hours (thanks RedHat for wasting my time), I changed 
the following setting in vmware: Edit/Removable devices/CD-ROM 
1/Edit...
Connection: Use physical device from "auto detect" to "D:"
and it installation continued.

I have a i386 platform with vmware 4.0 under WindowsXP.
Comment 7 bao-khoi NGUYEN 2005-10-09 10:39:34 EDT
(In reply to comment #6)
> I have the same situation as Jennifer and got _really mad_ !!
> After several hours (thanks RedHat for wasting my time), I changed 
> the following setting in vmware: Edit/Removable devices/CD-ROM 
> 1/Edit...
> Connection: Use physical device from "auto detect" to "D:"
> and it installation continued.
> 
> I have a i386 platform with vmware 4.0 under WindowsXP.
> 
THANK YOU VERY MUCH. I follow your advise and it's good !!
Comment 8 Jeremy Katz 2006-04-24 14:59:20 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.